This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 829019

Summary: Review Request: xorg-x11-drv-omap - X driver for omapdrm driver
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: herrold, notting, package-review, pbrobinson
Target Milestone: ---Flags: kevin: fedora‑review+
dennis: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-08 05:42:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Dennis Gilmore 2012-06-05 15:19:10 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-omap.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-omap-0.0.1-0.1.git20120511.fc18.src.rpm
Description: X.Org X11 omapdrm driver.
Fedora Account System Username: ausil
Comment 1 Kevin Fenzi 2012-06-05 17:44:56 EDT
I'll go ahead and review this. Look for a full review later today.
Comment 2 Kevin Fenzi 2012-06-05 18:15:20 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
(git checkout. diffs match)
OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. (non blocker): Might include the AUTHORS file as a doc. 

2. rpmlint says: 

xorg-x11-drv-omap.armv5tel: W: spelling-error Summary(en_US) drm -> rm, dram, dorm
xorg-x11-drv-omap.armv5tel: W: spelling-error %description -l en_US drm -> rm, dram, dorm
xorg-x11-drv-omap.armv5tel: W: obsolete-not-provided xorg-x11-drv-omapfb
xorg-x11-drv-omap.armv7hl: W: spelling-error Summary(en_US) drm -> rm, dram, dorm
xorg-x11-drv-omap.armv7hl: W: spelling-error %description -l en_US drm -> rm, dram, dorm
xorg-x11-drv-omap.armv7hl: W: obsolete-not-provided xorg-x11-drv-omapfb
xorg-x11-drv-omap.src: W: spelling-error Summary(en_US) drm -> rm, dram, dorm
xorg-x11-drv-omap.src: W: spelling-error %description -l en_US drm -> rm, dram, dorm
xorg-x11-drv-omap.src:29: W: unversioned-explicit-obsoletes xorg-x11-drv-omapfb
xorg-x11-drv-omap.src: W: invalid-url Source0: xf86-video-omap.tar.bz2
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

all can be ignored. 

I see no blockers here, so this package is APPROVED.
Comment 3 Dennis Gilmore 2012-06-05 18:57:55 EDT
New Package SCM Request
=======================
Package Name: xorg-x11-drv-omap
Short Description: X.Org X11 omapdrm driver
Owners: ausil pbrobinson
Branches: f17 
InitialCC:
Comment 4 Dennis Gilmore 2012-06-05 19:30:46 EDT
Git done (by process-git-requests).
Comment 5 Peter Robinson 2012-06-08 05:42:27 EDT
Built and tested